V10.0
get
/ec-designer-svc/rest/v10.0/studies/{studyId}/versions/{version}/forms/{formId}/visits
Returns visits associated with a form. Compared with v9.0, this version documents the enhanced summary behavior and performance-optimized retrieval paths used by the endpoint.
Request
Path Parameters
-
formId(required): string(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11 -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
mode: string
Study mode for data classifications. Allowed values: design (draft design data), test (testing data), training (training data), active (approved production data), all (all modes). Optional.Default Value:
designAllowed Values:[ "test", "training", "active", "design" ]Example:design -
response: string
Response type to query visit forms Optional.Default Value:Allowed Values:
[ "", "summary", "summaryLite" ]Example:summary
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormVisitDto v10.0
Title:
FormVisitDto v10.0Form Visits Information
Nested Schema : FormVisitDto v10.0
Type:
objectTitle:
FormVisitDto v10.0Form Visits Information
Show Source
-
assignedVisits: object
From Item Advanced Property v10.0
Title:
From Item Advanced Property v10.0Form Item Advanced Property -
forms: array
forms
List of forms
-
id: string
(uuid)
Visit GUID
Nested Schema : From Item Advanced Property v10.0
Type:
objectTitle:
From Item Advanced Property v10.0Form Item Advanced Property
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name(required): string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
rules: array
rules
-
value(required): string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : forms
Type:
arrayList of forms
Show Source
-
Array of:
object VisitFormDto v10.0
Title:
VisitFormDto v10.0Visit design forms.
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v10.0
Title:
From Item Advanced Property Rule v10.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v10.0
Type:
objectTitle:
From Item Advanced Property Rule v10.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUEExample:
Yes -
name: string
nameExample:
RolloverQuestionAnswer -
value: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : VisitFormDto v10.0
Type:
objectTitle:
VisitFormDto v10.0Visit design forms.
Show Source
-
fields: integer
(int32)
Number of form's fieldsExample:
5 -
formId: string
(uuid)
Visit Design form GUID
-
formRefName: string
Form RefNameExample:
Demography -
formTitle: string
Form titleExample:
Demography
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}